<?php



$tdatatb_fornecedores = array();
$tdatatb_fornecedores[".searchableFields"] = array();
$tdatatb_fornecedores[".ShortName"] = "tb_fornecedores";
$tdatatb_fornecedores[".OwnerID"] = "";
$tdatatb_fornecedores[".OriginalTable"] = "tb_fornecedores";


$tdatatb_fornecedores[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatatb_fornecedores[".originalPagesByType"] = $tdatatb_fornecedores[".pagesByType"];
$tdatatb_fornecedores[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatatb_fornecedores[".originalPages"] = $tdatatb_fornecedores[".pages"];
$tdatatb_fornecedores[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatatb_fornecedores[".originalDefaultPages"] = $tdatatb_fornecedores[".defaultPages"];

//	field labels
$fieldLabelstb_fornecedores = array();
$fieldToolTipstb_fornecedores = array();
$pageTitlestb_fornecedores = array();
$placeHolderstb_fornecedores = array();

if(mlang_getcurrentlang()=="Portuguese(Brazil)")
{
	$fieldLabelstb_fornecedores["Portuguese(Brazil)"] = array();
	$fieldToolTipstb_fornecedores["Portuguese(Brazil)"] = array();
	$placeHolderstb_fornecedores["Portuguese(Brazil)"] = array();
	$pageTitlestb_fornecedores["Portuguese(Brazil)"] = array();
	$fieldLabelstb_fornecedores["Portuguese(Brazil)"]["fornecID"] = "Fornec ID";
	$fieldToolTipstb_fornecedores["Portuguese(Brazil)"]["fornecID"] = "";
	$placeHolderstb_fornecedores["Portuguese(Brazil)"]["fornecID"] = "";
	$fieldLabelstb_fornecedores["Portuguese(Brazil)"]["fornecedor"] = "Fornecedor";
	$fieldToolTipstb_fornecedores["Portuguese(Brazil)"]["fornecedor"] = "";
	$placeHolderstb_fornecedores["Portuguese(Brazil)"]["fornecedor"] = "";
	$fieldLabelstb_fornecedores["Portuguese(Brazil)"]["contato"] = "Contato";
	$fieldToolTipstb_fornecedores["Portuguese(Brazil)"]["contato"] = "";
	$placeHolderstb_fornecedores["Portuguese(Brazil)"]["contato"] = "";
	$fieldLabelstb_fornecedores["Portuguese(Brazil)"]["whats"] = "Whats";
	$fieldToolTipstb_fornecedores["Portuguese(Brazil)"]["whats"] = "";
	$placeHolderstb_fornecedores["Portuguese(Brazil)"]["whats"] = "";
	$fieldLabelstb_fornecedores["Portuguese(Brazil)"]["email"] = "Email";
	$fieldToolTipstb_fornecedores["Portuguese(Brazil)"]["email"] = "";
	$placeHolderstb_fornecedores["Portuguese(Brazil)"]["email"] = "";
	$fieldLabelstb_fornecedores["Portuguese(Brazil)"]["site"] = "Site";
	$fieldToolTipstb_fornecedores["Portuguese(Brazil)"]["site"] = "";
	$placeHolderstb_fornecedores["Portuguese(Brazil)"]["site"] = "";
	if (count($fieldToolTipstb_fornecedores["Portuguese(Brazil)"]))
		$tdatatb_fornecedores[".isUseToolTips"] = true;
}


	$tdatatb_fornecedores[".NCSearch"] = true;


	$tdatatb_fornecedores[".scrollGridBody"] = true;

$tdatatb_fornecedores[".shortTableName"] = "tb_fornecedores";
$tdatatb_fornecedores[".nSecOptions"] = 0;

$tdatatb_fornecedores[".mainTableOwnerID"] = "";
$tdatatb_fornecedores[".entityType"] = 0;

$tdatatb_fornecedores[".strOriginalTableName"] = "tb_fornecedores";

	



$tdatatb_fornecedores[".showAddInPopup"] = false;

$tdatatb_fornecedores[".showEditInPopup"] = false;

$tdatatb_fornecedores[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatatb_fornecedores[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatatb_fornecedores[".listAjax"] = false;
//	temporary
$tdatatb_fornecedores[".listAjax"] = false;

	$tdatatb_fornecedores[".audit"] = false;

	$tdatatb_fornecedores[".locking"] = false;


$pages = $tdatatb_fornecedores[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatatb_fornecedores[".edit"] = true;
	$tdatatb_fornecedores[".afterEditAction"] = 0;
	$tdatatb_fornecedores[".closePopupAfterEdit"] = 1;
	$tdatatb_fornecedores[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatatb_fornecedores[".add"] = true;
$tdatatb_fornecedores[".afterAddAction"] = 0;
$tdatatb_fornecedores[".closePopupAfterAdd"] = 1;
$tdatatb_fornecedores[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatatb_fornecedores[".list"] = true;
}



$tdatatb_fornecedores[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatatb_fornecedores[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatatb_fornecedores[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatatb_fornecedores[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatatb_fornecedores[".printFriendly"] = true;
}



$tdatatb_fornecedores[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatatb_fornecedores[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatatb_fornecedores[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatatb_fornecedores[".isUseAjaxSuggest"] = true;

$tdatatb_fornecedores[".rowHighlite"] = true;





$tdatatb_fornecedores[".ajaxCodeSnippetAdded"] = false;

$tdatatb_fornecedores[".buttonsAdded"] = false;

$tdatatb_fornecedores[".addPageEvents"] = false;

// use timepicker for search panel
$tdatatb_fornecedores[".isUseTimeForSearch"] = false;


$tdatatb_fornecedores[".badgeColor"] = "CFAE83";


$tdatatb_fornecedores[".allSearchFields"] = array();
$tdatatb_fornecedores[".filterFields"] = array();
$tdatatb_fornecedores[".requiredSearchFields"] = array();

$tdatatb_fornecedores[".googleLikeFields"] = array();
$tdatatb_fornecedores[".googleLikeFields"][] = "fornecID";
$tdatatb_fornecedores[".googleLikeFields"][] = "fornecedor";
$tdatatb_fornecedores[".googleLikeFields"][] = "contato";
$tdatatb_fornecedores[".googleLikeFields"][] = "whats";
$tdatatb_fornecedores[".googleLikeFields"][] = "email";
$tdatatb_fornecedores[".googleLikeFields"][] = "site";



$tdatatb_fornecedores[".tableType"] = "list";

$tdatatb_fornecedores[".printerPageOrientation"] = 0;
$tdatatb_fornecedores[".nPrinterPageScale"] = 100;

$tdatatb_fornecedores[".nPrinterSplitRecords"] = 40;

$tdatatb_fornecedores[".geocodingEnabled"] = false;










$tdatatb_fornecedores[".pageSize"] = 20;

$tdatatb_fornecedores[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatatb_fornecedores[".strOrderBy"] = $tstrOrderBy;

$tdatatb_fornecedores[".orderindexes"] = array();

$tdatatb_fornecedores[".sqlHead"] = "SELECT fornecID,  	fornecedor,  	contato,  	whats,  	email,  	site";
$tdatatb_fornecedores[".sqlFrom"] = "FROM tb_fornecedores";
$tdatatb_fornecedores[".sqlWhereExpr"] = "";
$tdatatb_fornecedores[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatatb_fornecedores[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatatb_fornecedores[".arrGroupsPerPage"] = $arrGPP;

$tdatatb_fornecedores[".highlightSearchResults"] = true;

$tableKeystb_fornecedores = array();
$tableKeystb_fornecedores[] = "fornecID";
$tdatatb_fornecedores[".Keys"] = $tableKeystb_fornecedores;


$tdatatb_fornecedores[".hideMobileList"] = array();




//	fornecID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "fornecID";
	$fdata["GoodName"] = "fornecID";
	$fdata["ownerTable"] = "tb_fornecedores";
	$fdata["Label"] = GetFieldLabel("tb_fornecedores","fornecID");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "fornecID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "fornecID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_fornecedores["fornecID"] = $fdata;
		$tdatatb_fornecedores[".searchableFields"][] = "fornecID";
//	fornecedor
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "fornecedor";
	$fdata["GoodName"] = "fornecedor";
	$fdata["ownerTable"] = "tb_fornecedores";
	$fdata["Label"] = GetFieldLabel("tb_fornecedores","fornecedor");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "fornecedor";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "fornecedor";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_fornecedores["fornecedor"] = $fdata;
		$tdatatb_fornecedores[".searchableFields"][] = "fornecedor";
//	contato
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "contato";
	$fdata["GoodName"] = "contato";
	$fdata["ownerTable"] = "tb_fornecedores";
	$fdata["Label"] = GetFieldLabel("tb_fornecedores","contato");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "contato";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "contato";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_fornecedores["contato"] = $fdata;
		$tdatatb_fornecedores[".searchableFields"][] = "contato";
//	whats
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "whats";
	$fdata["GoodName"] = "whats";
	$fdata["ownerTable"] = "tb_fornecedores";
	$fdata["Label"] = GetFieldLabel("tb_fornecedores","whats");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "whats";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "whats";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_fornecedores["whats"] = $fdata;
		$tdatatb_fornecedores[".searchableFields"][] = "whats";
//	email
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "email";
	$fdata["GoodName"] = "email";
	$fdata["ownerTable"] = "tb_fornecedores";
	$fdata["Label"] = GetFieldLabel("tb_fornecedores","email");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "email";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "email";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=100";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_fornecedores["email"] = $fdata;
		$tdatatb_fornecedores[".searchableFields"][] = "email";
//	site
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "site";
	$fdata["GoodName"] = "site";
	$fdata["ownerTable"] = "tb_fornecedores";
	$fdata["Label"] = GetFieldLabel("tb_fornecedores","site");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "site";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "site";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_fornecedores["site"] = $fdata;
		$tdatatb_fornecedores[".searchableFields"][] = "site";


$tables_data["tb_fornecedores"]=&$tdatatb_fornecedores;
$field_labels["tb_fornecedores"] = &$fieldLabelstb_fornecedores;
$fieldToolTips["tb_fornecedores"] = &$fieldToolTipstb_fornecedores;
$placeHolders["tb_fornecedores"] = &$placeHolderstb_fornecedores;
$page_titles["tb_fornecedores"] = &$pageTitlestb_fornecedores;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["tb_fornecedores"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["tb_fornecedores"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_tb_fornecedores()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "fornecID,  	fornecedor,  	contato,  	whats,  	email,  	site";
$proto0["m_strFrom"] = "FROM tb_fornecedores";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "fornecID",
	"m_strTable" => "tb_fornecedores",
	"m_srcTableName" => "tb_fornecedores"
));

$proto6["m_sql"] = "fornecID";
$proto6["m_srcTableName"] = "tb_fornecedores";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "fornecedor",
	"m_strTable" => "tb_fornecedores",
	"m_srcTableName" => "tb_fornecedores"
));

$proto8["m_sql"] = "fornecedor";
$proto8["m_srcTableName"] = "tb_fornecedores";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "contato",
	"m_strTable" => "tb_fornecedores",
	"m_srcTableName" => "tb_fornecedores"
));

$proto10["m_sql"] = "contato";
$proto10["m_srcTableName"] = "tb_fornecedores";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "whats",
	"m_strTable" => "tb_fornecedores",
	"m_srcTableName" => "tb_fornecedores"
));

$proto12["m_sql"] = "whats";
$proto12["m_srcTableName"] = "tb_fornecedores";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "email",
	"m_strTable" => "tb_fornecedores",
	"m_srcTableName" => "tb_fornecedores"
));

$proto14["m_sql"] = "email";
$proto14["m_srcTableName"] = "tb_fornecedores";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "site",
	"m_strTable" => "tb_fornecedores",
	"m_srcTableName" => "tb_fornecedores"
));

$proto16["m_sql"] = "site";
$proto16["m_srcTableName"] = "tb_fornecedores";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto18=array();
$proto18["m_link"] = "SQLL_MAIN";
			$proto19=array();
$proto19["m_strName"] = "tb_fornecedores";
$proto19["m_srcTableName"] = "tb_fornecedores";
$proto19["m_columns"] = array();
$proto19["m_columns"][] = "fornecID";
$proto19["m_columns"][] = "fornecedor";
$proto19["m_columns"][] = "contato";
$proto19["m_columns"][] = "whats";
$proto19["m_columns"][] = "email";
$proto19["m_columns"][] = "site";
$obj = new SQLTable($proto19);

$proto18["m_table"] = $obj;
$proto18["m_sql"] = "tb_fornecedores";
$proto18["m_alias"] = "";
$proto18["m_srcTableName"] = "tb_fornecedores";
$proto20=array();
$proto20["m_sql"] = "";
$proto20["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto20["m_column"]=$obj;
$proto20["m_contained"] = array();
$proto20["m_strCase"] = "";
$proto20["m_havingmode"] = false;
$proto20["m_inBrackets"] = false;
$proto20["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto20);

$proto18["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto18);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="tb_fornecedores";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_tb_fornecedores = createSqlQuery_tb_fornecedores();


	
		;

						

$tdatatb_fornecedores[".sqlquery"] = $queryData_tb_fornecedores;

$tableEvents["tb_fornecedores"] = new eventsBase;
$tdatatb_fornecedores[".hasEvents"] = false;

?>